# ibase_fetch_row

(PHP 5, PHP 7)

ibase_fetch_row — Fetch a row from an InterBase database

### Description

ibase_fetch_row ( resource `$result_identifier` [, int `$fetch_flag` = 0 ] ) : array

ibase_fetch_row() fetches one row of data from the given result set.

Subsequent calls to ibase_fetch_row() return the next row in the result set, or `FALSE` if there are no more rows.

### Parameters

`result_identifier`

  An InterBase result identifier.

`fetch_flag`

  `fetch_flag` is a combination of the constants `IBASE_TEXT` and `IBASE_UNIXTIME` ORed together. Passing `IBASE_TEXT` will cause this function to return BLOB contents instead of BLOB ids. Passing `IBASE_UNIXTIME` will cause this function to return date/time values as Unix timestamps instead of as formatted strings.

### Return Values

Returns an array that corresponds to the fetched row, or `FALSE` if there are no more rows. Each result column is stored in an array offset, starting at offset 0.

### See Also

- ibase_fetch_assoc() - Fetch a result row from a query as an associative array
- ibase_fetch_object() - Get an object from a InterBase database